# Created by pyp2rpm-3.3.2
%global pypi_name parsel

# tests broken with libxml2 > 2.9.10
%bcond_with check

%bcond_without docs

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 3
Summary:        Parsel is a library to extract data from HTML and XML using XPath and CSS selectors
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/parsel
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cssselect) >= 0.9
BuildRequires:  python3dist(lxml) >= 2.3
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.5.2
BuildRequires:  python3dist(w3lib) >= 1.19.0
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-notfound-page)
%endif

%description
Parsel is a library to extract data from HTML and XML using XPath and CSS
selectors.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cssselect) >= 0.9
Requires:       python3dist(lxml) >= 2.3
Requires:       python3dist(six) >= 1.5.2
Requires:       python3dist(w3lib) >= 1.19.0

%description -n python3-%{pypi_name}
Parsel is a library to extract data from HTML and XML using XPath and CSS
selectors.

%package -n python-%{pypi_name}-doc
Summary:        parsel documentation

%description -n python-%{pypi_name}-doc
Documentation for parsel

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.6.0-3.mga9
+ Revision: 1834364
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.6.0-2.mga9
+ Revision: 1783421
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.6.0-1.mga9
+ Revision: 1733906
- new version 1.6.0
- disable tests for now as it looks like libxml2 > 2.9.10 isn't supported
- Rebuild for python 3.9
+ tmb <tmb>
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5.2-3.mga8
+ Revision: 1532719
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.5.2-2.mga8
+ Revision: 1442911
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.5.2-1.mga8
+ Revision: 1435695
- drop python2 support
- update description

* Wed Jan 09 2019 kekepower <kekepower> 1.5.1-2.mga7
+ Revision: 1353466
- python3-functools32 doesn't exist

* Wed Jan 09 2019 kekepower <kekepower> 1.5.1-1.mga7
+ Revision: 1353403
- imported package python-parsel

